import { history, defaultKeymap, historyKeymap, indentWithTab } from '@codemirror/commands';
import { syntaxHighlighting, defaultHighlightStyle } from '@codemirror/language';
import { highlightSpecialChars, drawSelection, keymap } from '@codemirror/view';

// src/minimal-setup.ts
var minimal_setup_default = (options) => [
  highlightSpecialChars(),
  history(),
  drawSelection(),
  syntaxHighlighting(defaultHighlightStyle, { fallback: true }),
  keymap.of(
    [].concat(
      defaultKeymap,
      historyKeymap,
      options.useTabs ? [indentWithTab] : []
    )
  )
];

export { minimal_setup_default as default };
